import { defineConfig } from 'astro/config'
import preact from '@astrojs/preact'
import node from '@astrojs/node'

import mdx from '@astrojs/mdx'

import remarkToc from 'remark-toc'
import rehypeSlug from 'rehype-slug'
import rehypeAutolinkHeadings from 'rehype-autolink-headings'

// https://astro.build/config
export default defineConfig({
    server: {
        port: 3000,
    },
    markdown: {
        shikiConfig: {
            theme: 'github-light',
        },
    },
    integrations: [preact(), mdx()],
    adapter: node({
        mode: 'standalone',
    }),
    output: 'hybrid',
    outDir: './out/astro',
    build: {
        client: './out/astro/client',
        server: './out/astro/server',
    },
})
